Логотип   Простое и понятное управление
  Уникальные возможности по настройке
  Open Server скачали уже 1 375 466 раз!

Форум

Добро пожаловать, Гость!

Проблемы при работе с PostGreSQL

Обсуждение общих вопросов связанных с программой
dmneedall
Сообщения: 3
C нами: 10 дней 5 часов

Непрочитанное сообщение dmneedall » 12 ноя 2017, 20:07

Здравствуйте!

Вот, решил тут уйти от Denwer-а и поставил OS. Пока не в восторге от проделанного. :(
Везде декларировалось, что с OS гемороев меньше, но что то не ощущается этого.
К примеру - попытка запустить PG из коробки OS, и сразу провал. При вызове админки PhpPgAdmin выдаются кракозябровые баги: :cry:
Ваша инсталяция PHP не поддерживает PostgreSQL. Вам необходимо пересобрать PHP, используя параметр --with-pgsql для configure.
Судя по последним латинским символам можно предположить, что эта ошибка связана с отсутствием поддержки PG в установленной сборке PHP. При этом лог. PostgreSQL имеет следующее содержание:
LOG: database system was shut down at 2017-11-12 16:43:21 GMT
LOG: MultiXact member wraparound protections are now enabled
LOG: database system is ready to accept connections
LOG: autovacuum launcher started
FATAL: role "WKR" does not exist


--------------------------------------------------------------
Если есть тут кто с этим сталкивался подскажите, как решать эту проблему?

PS:
Перешел на PHP 5.6 и проблема проявилась более вразумительно:
Ваша инсталяция PHP не поддерживает PostgreSQL. Вам необходимо пересобрать PHP, используя параметр --with-pgsql для configure.
Последний раз редактировалось dmneedall 12 ноя 2017, 20:52, всего редактировалось 1 раз.

Аватара пользователя
Максим
Сообщения: 5196
C нами: 6 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 12 ноя 2017, 20:14

PhpPgAdmin говорит вам о том, что расширение php_pgsql.dll деактивировано, просто включите его в конфиге PHP т.к. по умолчанию оно отключено. А вообще PhpPgAdmin уже давно заброшен и работает только на старых версиях PHP, лучше используйте HeidiSQL (MySQL менеджер в меню называется), он умеет и с PostgreSQL работать.

dmneedall
Сообщения: 3
C нами: 10 дней 5 часов

Непрочитанное сообщение dmneedall » 12 ноя 2017, 20:55

Спасибо за оперативность. В инишнике 5.6 все, что нашлось с *pg* раскомментировал, но рез-т тот же

Аватара пользователя
Максим
Сообщения: 5196
C нами: 6 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 12 ноя 2017, 20:59

dmneedall, видимо вы делали это не в шаблоне конфигурации, а во временном ini файле.

dmneedall
Сообщения: 3
C нами: 10 дней 5 часов

Непрочитанное сообщение dmneedall » 12 ноя 2017, 21:13

ДА! Спасибо! Исправлять надо было в "Дополнительно\конфигурация\PHP-5.6". Однако, самому догадаться сложно.

Аватара пользователя
Максим
Сообщения: 5196
C нами: 6 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 12 ноя 2017, 21:22

Догадываться об этом не нужно, достаточно прочитать руководство пользователя перед началом использования программы. Более того, в шапке каждого временного файла, в том числе и того, который вы редактировали, написано это:

;
; ВНИМАНИЕ! Это временный файл, его редактирование бессмысленно!
;


Вернуться в «Обсуждение Open Server»

Кто сейчас на конференции

Сейчас этот форум просматривают: Yandex [Bot] и 1 гость